yabasic_2.79.2-1_amd64.deb


Advertisement

Description

yabasic - Yet Another BASIC interpreter

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name yabasic
Package version 2.79.2
Package release 1
Package architecture amd64
Package type deb
Installed size 812 B
Download size 227.79 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
yabasic_2.79.2-1_i386.deb 2.79.2 i386 Debian Main
yabasic - - -

Requires

Name Value
libc6 >= 2.17
libncurses6 >= 6
libtinfo6 >= 6
libx11-6 -

Download

Type URL
Binary Package yabasic_2.79.2-1_amd64.deb
Source Package yabasic

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install yabasic deb package:
    # sudo apt-get install yabasic

Files

Path
/usr/bin/yabasic
/usr/share/doc-base/yabasic
/usr/share/doc/yabasic/changelog.Debian.gz
/usr/share/doc/yabasic/changelog.gz
/usr/share/doc/yabasic/copyright
/usr/share/doc/yabasic/yabasic.htm
/usr/share/man/man1/yabasic.1.gz
/usr/share/menu/yabasic

Changelog

2018-05-19 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.79.2-1) unstable; urgency=medium
* New upstream release
- Introduced new peeks "secondsrunning" and "millisrunning"
- Bugfixes regarding the switch statement
- Fixed error related with yydebug
* Refresh flex_and_bison.patch
* Bump Standards-Version to 4.1.4, no changes
2018-04-03 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.78.5-1) unstable; urgency=medium
* New upstream release
- Introduced new peek "secondsrunning"
- Within a bound yabasic-programs the name is correctly set
(as returned by peeking "program_name")
- Introduced new string-peeks "program_name" and "program_file_name"
- Bugfixes regarding bound programs and libraries
* Fix a typo in previous changelog entry
* Add out.dat to debian/clean to fix FTBFSx2
2018-01-31 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.78.3-1) unstable; urgency=medium
* New upstream release
- Fixed an up to 4-times performance penalty,
that has been introduced in a previous version
- Brought back "Edit" to the windows context menu
* Update Vcs-* URIs for move to salsa.debian.org
* Switch to debhelper 11
* Update debian/copyright
* Remove trailing whitespace from debian/changelog
* Bump Standards-Version to 4.1.3, no changes
2017-09-20 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.78.2-2) unstable; urgency=medium
* Run dh_autoreconf before dh_auto_configure in autopkgtest
2017-09-13 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.78.2-1) unstable; urgency=medium
* New upstream release
- The ran()-function is now guaranteed to return 2**30 different values
* Refresh flex_and_bison.patch
* Enable autopkgtests
2017-09-05 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.78.1-1) unstable; urgency=medium
* New upstream release
- No more dump when using color without window open
- Processing of yabasic.xml finds hellip-entity
* Bump Standards-Version to 4.1.0, no changes needed
2017-01-23 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.78.0-1) unstable; urgency=medium
* New upstream release
- Allowed for numeric argument after break
- Fixed format of manpage (unix)
- Reworked the switch-statement, added tests
* Drop patches included upstream and refresh remaining
* Update debian/copyright
2017-01-04 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.77.3-1) unstable; urgency=medium
* New upstream release
- Fixed insecure usage of strcpy (LP: #424602)
- Better logging for windows installer
- Spelling corrections
* Drop patches included upstream and refresh remaining
* Update debian/copyright, drop comment about old licensing
* Fix strncpy() issue when regenerating flex parser
2016-12-21 - Graham Inggs <ginggs@debian.org>
yabasic (1:2.77.2-1) unstable; urgency=medium
* New maintainer (Closes: #465659)
* New upstream release
* Switch to debhelper 10, source format 3.0 (quilt)
* Update debian/watch
* Update debian/control with Homepage and Vcs-* fields
* Build with hardening flags and link with --as-needed
* Regenerate flex and bison parsers
* Machine-readable debian/copyright
* Bump Standards-Version to 3.9.8, no further changes
* Use SOURCE_DATE_EPOCH for reproducible timestamp
* Clarify licensing
2009-01-30 - Ralf Treinen <treinen@debian.org>
yabasic (2.763-5) unstable; urgency=low
* QA upload
* Patch graphic.diff: fix a bug that made yabasic crash on executing
"open window". Thanks to John Bazik for having sent in the patch.
Closes: #496962.
* Doc-base: change section to Programming/Basic
* Add ${misc:Depends} to package Dependency
* Standards-Version 3.8.0 (no change)

See Also

Package Description
yabause-common_0.9.14-3_all.deb beautiful and under-rated Saturn emulator - common files
yabause-gtk_0.9.14-3_amd64.deb beautiful and under-rated Saturn emulator - Gtk port
yabause-qt_0.9.14-3_amd64.deb beautiful and under-rated Saturn emulator - Qt port
yabause_0.9.14-3_all.deb beautiful and under-rated Saturn emulator
yacas-doc_1.3.6-2_all.deb Documentation for Yacas
yacas_1.3.6-2+b1_amd64.deb Computer Algebra System
yacpi_3.0.1-1+b1_amd64.deb ncurses based acpi monitor for text mode
yad_0.38.2-1_amd64.deb tool for creating graphical dialogs from shell scripts
yade_2018.02b-4_amd64.deb Platform for discrete element modeling
yadifa_2.3.8-1_amd64.deb Internet Domain Name Server
yadm_1.12.0-1_all.deb Yet Another Dotfiles Manager
yafc_1.3.7-4_amd64.deb yet another FTP client
yagf_0.9.3.2-1+b1_amd64.deb graphical interface for cuneiform and tesseract
yaggo_1.5.10-1_all.deb generate command line parser using getopt_long
yagiuda_1.19-9+b1_amd64.deb software to analyse performance of Yagi-Uda antennas
Advertisement
Advertisement